Package: org.codehaus.groovy.ant

## [Java] Class FileScanner

- org.codehaus.groovy.ant.FileScanner

- `FileScanner` is a bean which allows the iteration over a number of files from a collection of FileSet instances.

  Authors:
    James Strachan
    Marc Guillemot

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileScanner ()`
    `FileScanner (Project project)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addFileset(FileSet set)` Adds a set of files (nested fileset attribute).
    `` | `void` | `clear()` Clears any file sets that have been added to this scanner
    `` | `Iterator` | `directories()`
    `` | `boolean` | `hasFiles()`
    `` | `Iterator` | `iterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class Task`

    `getTaskName, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, setProject, setLocation, clone, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class ProjectComponent` | `setProject, setLocation, clone, log, log, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public FileScanner()

    - #### public FileScanner(Project project)

  - ### Method Detail

    - #### public void addFileset(FileSet set)

      Adds a set of files (nested fileset attribute).

    - #### public void clear()

      Clears any file sets that have been added to this scanner

    - #### public Iterator directories()

    - #### public boolean hasFiles()

    - #### public Iterator iterator()